Debian Bug report logs - #600021
linux-source-2.6.32: increase timeout for AP probe on iwl3945?

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Mark Hedges <hedges@scriptdolphin.com>

Date: Tue, 12 Oct 2010 21:31:22 UTC

Severity: normal

Tags: moreinfo

Found in version 2.6.32-23

Done: Moritz Mühlenhoff <jmm@inutil.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#600021; Package linux-source-2.6.32. (Tue, 12 Oct 2010 21:31:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Hedges <hedges@scriptdolphin.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 12 Oct 2010 21:31:25 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mark Hedges <hedges@scriptdolphin.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-source-2.6.32: increase timeout for AP probe on iwl3945?
Date: Tue, 12 Oct 2010 14:17:20 -0700
Package: linux-source-2.6.32
Version: 2.6.32-23
Severity: normal


Oct 12 14:08:36 maggie kernel: [435532.500060] No probe response from AP 00:0f:66:0b:45:5a after 500ms, disconnecting.
Oct 12 14:08:36 maggie wpa_supplicant[1506]: CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys
Oct 12 14:08:36 maggie NetworkManager[1480]: <info> (wlan0): supplicant connection state:  completed -> disconnected
Oct 12 14:08:36 maggie NetworkManager[1480]: <info> (wlan0): supplicant connection state:  disconnected -> scanning

This happens from time to time and is a little annoying.  When it happens,
I'm able to reconnect.  Other people in the cafe don't seem to have any
service interruption.  Is there a way this probe timeout could be increased
to accommodate a buggy AP?

Mark

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-source-2.6.32 depends on:
ii  binutils                      2.20.1-15  The GNU assembler, linker and bina
ii  bzip2                         1.0.5-6    high-quality block-sorting file co

Versions of packages linux-source-2.6.32 recommends:
ii  gcc                           4:4.4.4-2  The GNU C compiler
ii  libc6-dev [libc-dev]          2.11.2-6   Embedded GNU C Library: Developmen
ii  make                          3.81-8     An utility for Directing compilati

Versions of packages linux-source-2.6.32 suggests:
ii  kernel-package            12.036         A utility for building Linux kerne
ii  libncurses5-dev [ncurses- 5.7+20100313-4 developer's libraries and docs for
pn  libqt3-mt-dev             <none>         (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#600021; Package linux-source-2.6.32. (Tue, 12 Oct 2010 23:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 12 Oct 2010 23:12:03 GMT) Full text and rfc822 format available.

Message #10 received at 600021@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Mark Hedges <hedges@scriptdolphin.com>, 600021@bugs.debian.org
Subject: Re: Bug#600021: linux-source-2.6.32: increase timeout for AP probe on iwl3945?
Date: Wed, 13 Oct 2010 00:09:40 +0100
[Message part 1 (text/plain, inline)]
On Tue, 2010-10-12 at 14:17 -0700, Mark Hedges wrote:
> Package: linux-source-2.6.32
> Version: 2.6.32-23
> Severity: normal
> 
> 
> Oct 12 14:08:36 maggie kernel: [435532.500060] No probe response from AP 00:0f:66:0b:45:5a after 500ms, disconnecting.
> Oct 12 14:08:36 maggie wpa_supplicant[1506]: CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys
> Oct 12 14:08:36 maggie NetworkManager[1480]: <info> (wlan0): supplicant connection state:  completed -> disconnected
> Oct 12 14:08:36 maggie NetworkManager[1480]: <info> (wlan0): supplicant connection state:  disconnected -> scanning
> 
> This happens from time to time and is a little annoying.  When it happens,
> I'm able to reconnect.  Other people in the cafe don't seem to have any
> service interruption.  Is there a way this probe timeout could be increased
> to accommodate a buggy AP?

This probe timeout is applied by the software 802.11 stack (mac80211),
not specifically the iwl3945 driver.  If I understand correctly, it
repeats the probe request up to 5 times if no response is received.
Thus this disconnection occurs only when communication with the AP has
been broken for 2.5 seconds.  I doubt that increasing this time limit
will fix the problem; more likely there is a bug elsewhere that causes
frames to be dropped or sent at too low a power level.

Please test Linux 2.6.36-rc6 as packaged in experimental and report
whether this makes any difference.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 12 Oct 2010 23:12:04 GMT) Full text and rfc822 format available.

Bug reassigned from package 'linux-source-2.6.32' to 'linux-2.6'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 12 Oct 2010 23:12:05 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions linux-2.6/2.6.32-23. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 12 Oct 2010 23:12:06 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.32-23. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 12 Oct 2010 23:12:07 GMT) Full text and rfc822 format available.

Reply sent to Moritz Mühlenhoff <jmm@inutil.org>:
You have taken responsibility. (Fri, 05 Jul 2013 18:16:55 GMT) Full text and rfc822 format available.

Notification sent to Mark Hedges <hedges@scriptdolphin.com>:
Bug acknowledged by developer. (Fri, 05 Jul 2013 18:16:55 GMT) Full text and rfc822 format available.

Message #23 received at 600021-done@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: 597209-done@bugs.debian.org, 599030-done@bugs.debian.org, 599496-done@bugs.debian.org, 600021-done@bugs.debian.org, 604776-done@bugs.debian.org, 637284-done@bugs.debian.org, 601198-done@bugs.debian.org, 601322-done@bugs.debian.org
Subject: Closing
Date: Fri, 5 Jul 2013 20:15:30 +0200
Hi,
your bug has been filed against the "linux-2.6" source package and was filed for
a kernel older than the recently released Debian 7.x / Wheezy with a severity
less than important.

We don't have the ressources to reproduce the complete backlog of all older kernel
bugs, so we're closing this bug for now. If you can reproduce the bug with Debian Wheezy
or a more recent kernel from testing or unstable, please reopen the bug by sending
a mail to control@bugs.debian.org with the following three commands included in the
mail:

reopen BUGNUMBER
reassign BUGNUMBER src:linux
thanks

Cheers,
        Moritz



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 03 Aug 2013 07:28:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 03:38:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.